{#
/**
 * @file
 * Default theme implementation for a moscone layout.
 *
 * This template provides a two column 33%-66% display layout.
 *
 * Available variables:
 * - content: The content for this layout.
 * - attributes: HTML attributes for the layout <div>.
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'layout',
    'layout--featured-author-teaser',
    'md:tw-flex',
    'md:tw-items-center',
  ]
%}
{% if content and (content.media or content.summary) %}
<div{{ attributes.addClass(classes) }}>
  {%
    set media_classes = [
      'layout__region',
      'layout__region--media',
      'tw-max-w-285',
      'tw-order-first',
      'tw-mb-5',
      'md:tw-mr-5',
      'md:tw-mb-0',
    ]
  %}
  {% set has_media = false %}
  {% if content.media|render|striptags('<a><img><span>')|trim is not empty %}
    {% set has_media = true %}
  {% endif %}
  {%
    set main_classes = [
      'layout__region',
      'layout__region--summary',
      'tw-flex',
      'tw-flex-col',
      'tw-space-y-7',
      has_media ? 'md:tw-w-1/2',
    ]
  %}
  <div {{ region_attributes.summary.addClass(main_classes) }}>
    {{ content.summary }}
  </div>
  {% if has_media %}
    <div {{ region_attributes.media.addClass(media_classes) }}>
      {{ content.media }}
    </div>
  {% endif %}
</div>
{% endif %}
